<?php $page_layout = serpentsoft_get_data('serpentsoft_pagelayout');

if( $page_layout != '2cols-left' && $page_layout != '2cols-right' ){ ?>

<section class="span270" role="complementary">
<h2 class="hidden">Right Sidebar</h2>

<?php /**
 * The sidebar containing the main widget area.
 *
 * If no active widgets in sidebar, let's hide it completely.
 *
 * @package Serpentsoft
 * @subpackage Adams_news
 * @since Adams News 1.0
 */
if ( is_active_sidebar('hp-narrow-sidebar') ):
    dynamic_sidebar( 'hp-narrow-sidebar' );
endif; ?>

</section>

<?php } ?>